#!/bin/rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME Log Viewer
Name:           lime-logview
Version:        1.1.10
Release:        3%{?dist}
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Patch1:         lime-logview-1.1.10-fix-segmentfault.patch
Patch2:         lime-logview-1.1.10-autorun-command.patch
Patch3:         lime-logview-1.1.10-vi_VN.patch
Requires :	openwbem  
Requires :	lime-common
Requires :	qt > 3.3.3
BuildRequires:  openwbem-devel 
BuildRequires:  lime-common
BuildRequires:  qt > 3.3.3
BuildRequires:	lmc-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot


%description
lime-logview is a WBEM client tool for log viewer which depends on 
CIMOM, when using this tool, make sure LIME provider has been installed 
and CIMOM of managed host has been started.
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%prep
%setup -q 
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps

cp %{name}.desktop $RPM_BUILD_ROOT/usr/share/applications
cp %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
ln -s %{name}  $RPM_BUILD_ROOT/%{_bindir}/rflogview

## Aternate_Command_Names ##
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s lime-logview set-sysmgt-logview
popd

%post
%preun
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_bindir}/lime-logview
%{_bindir}/rflogview
%{_bindir}/set-sysmgt-logview
%{_libdir}/lmc/snapins/*.so*
%exclude %{_libdir}/lmc/snapins/*.a
%exclude %{_libdir}/lmc/snapins/*.la
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%config /usr/share/applications/lime-logview.desktop
/usr/share/pixmaps/lime-logview.xpm
%dir %{_datadir}/%{name}
%dir %{_docdir}/%{name}
%{_datadir}/%{name}
%{_docdir}/%{name}

%changelog
* Mon Mar 08 2010 Tuananh Pham <anh.pt@asianux.com> 1.1.10-3%{?dist}
- add lime-logview-1.1.10-vi_VN.patch for some vietnamese translation (Patch#3, AXBug#8202)

* Fri Apr 24 2009 Feng Zhanlei <fengzhanlei@redflag-linux.com> 1.1.10-2%{?sidt}
- Add new patch#1 lime-logview-1.1.10-fix-segmentfault.patch (AXBug#6082)
- Add new patch#2 lime-logview-1.1.10-autorun-command.patch (AXBug#5081)

* Tue Jul 1 2008 He Tao <taohe@redflag-linux.com>
- fix a bug of time component,bug 4273

* Tue May 20 2008 He Tao <taohe@redflag-linux.com>
- fix a bug in Chinese manual file

* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 1.1.7-1.1%{?sidt}
- add Aternate Command Names (symbolic link) - bugzilla 3978

* Thu Oct 11 2007 Diancheng Wang <dcwang@redflag-linux.com>
- fix a bug: wrong tab order in "attribute" dialog.

* Mon Sep 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.6, see also package ChangeLog file for details.

* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.5, see also package ChangeLog file for details.

* Mon Jul 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- merge lime-logview-1.1.3-asianux-desktop_categories.patch to CVS, 
- does not install desktop file to control panel

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com>
- added to lime-logview-1.1.3-asianux-desktop_categories.patch

* Wed Jul 4 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.4, see also package ChangeLog file for details.

* Tue Jun 19 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add ChangeLog, README, NEWS to package, update to new version 1.1.3
- see also package ChangeLog for details.

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information. change desktop file
- installed location for KDE 3.5

* Tue May 15 2007 He Tao <taohe@redflag-linux.com>
- change kde control panel desktop file directory "/etc/sysconfig/khwtree/GroupSys" to "/etc/sysconfig/khwtree/Group2Sys"
- upgrade version to 1.1.1

* Fri Apr 13 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add build require, lmc-devel

* Mon Apr 09 2007 He Tao <taohe@redflag-linux.com>
- add a link for old logview tool

* Fri Mar 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- change lmc snapin location and add translate file

* Thu Jan 25 2007 He Tao <taohe@redflag-linux.com>
- create
